intl Functions
Collator
intl Functions
PHP Manual

# intl_is_failure

(No version information available, might be only in CVS)

intl_is_failure — Check whether the given error code indicates failure

### Description

bool intl_is_failure ( integer `$error_code` )

### Parameters

`error_code`

  is a value that returned by functions: intl_get_error_code(), collator_get_error_code() .

### Return Values

`TRUE` if it the code indicates some failure, and `FALSE` in case of success or a warning.

### Examples

Example #1 intl_is_failure() example

`<?php
function check( $err_code )
{
var_export( intl_is_failure( $err_code ) );
echo "\n";
}
check( U_ZERO_ERROR );
check( U_USING_FALLBACK_WARNING );
check( U_ILLEGAL_ARGUMENT_ERROR );
?>`

The above example will output something similar to:

    false
    false
    true

### See Also

- intl_get_error_code()
- collator_get_error_code()
- Collator-getErrorCode()

intl Functions
Collator
intl Functions
PHP Manual